#version 120
varying vec3 position;
varying vec3 normal;
varying vec2 texcoord;
uniform vec3 color;
varying vec3 color2;   //out
 
void main()
{
        gl_Position=gl_ModelViewProjectionMatrix*gl_Vertex;
		position = vec3(gl_ModelViewProjectionMatrix*gl_Vertex);
		normal = gl_NormalMatrix * gl_Normal;
        texcoord=gl_MultiTexCoord0.xy;
}